Create a buyer/seller account under the organization
curl --request POST \
--url https://api.semicola.com/api/v2/accounts/create-child \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"company": "<string>",
"idempotencyKey": "<string>",
"customerDomain": "<string>",
"defaultCurrency": "<string>",
"paymentCurrencies": [
"<string>"
],
"parentName": "<string>",
"confirmOrganizationConversion": true,
"accountMode": "STANDARD",
"demoRecipeIds": []
}
'import requests
url = "https://api.semicola.com/api/v2/accounts/create-child"
payload = {
"name": "<string>",
"company": "<string>",
"idempotencyKey": "<string>",
"customerDomain": "<string>",
"defaultCurrency": "<string>",
"paymentCurrencies": ["<string>"],
"parentName": "<string>",
"confirmOrganizationConversion": True,
"accountMode": "STANDARD",
"demoRecipeIds": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
company: '<string>',
idempotencyKey: '<string>',
customerDomain: '<string>',
defaultCurrency: '<string>',
paymentCurrencies: ['<string>'],
parentName: '<string>',
confirmOrganizationConversion: true,
accountMode: 'STANDARD',
demoRecipeIds: []
})
};
fetch('https://api.semicola.com/api/v2/accounts/create-child', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.semicola.com/api/v2/accounts/create-child",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'company' => '<string>',
'idempotencyKey' => '<string>',
'customerDomain' => '<string>',
'defaultCurrency' => '<string>',
'paymentCurrencies' => [
'<string>'
],
'parentName' => '<string>',
'confirmOrganizationConversion' => true,
'accountMode' => 'STANDARD',
'demoRecipeIds' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.semicola.com/api/v2/accounts/create-child"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"company\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"customerDomain\": \"<string>\",\n \"defaultCurrency\": \"<string>\",\n \"paymentCurrencies\": [\n \"<string>\"\n ],\n \"parentName\": \"<string>\",\n \"confirmOrganizationConversion\": true,\n \"accountMode\": \"STANDARD\",\n \"demoRecipeIds\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.semicola.com/api/v2/accounts/create-child")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"company\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"customerDomain\": \"<string>\",\n \"defaultCurrency\": \"<string>\",\n \"paymentCurrencies\": [\n \"<string>\"\n ],\n \"parentName\": \"<string>\",\n \"confirmOrganizationConversion\": true,\n \"accountMode\": \"STANDARD\",\n \"demoRecipeIds\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.semicola.com/api/v2/accounts/create-child")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"company\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"customerDomain\": \"<string>\",\n \"defaultCurrency\": \"<string>\",\n \"paymentCurrencies\": [\n \"<string>\"\n ],\n \"parentName\": \"<string>\",\n \"confirmOrganizationConversion\": true,\n \"accountMode\": \"STANDARD\",\n \"demoRecipeIds\": []\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"name": "<string>",
"company": "<string>",
"kind": "STANDALONE",
"nodeKind": "ACCOUNT",
"accountType": "BUYER",
"role": "SUPER_ADMIN",
"membershipRole": "MEMBER",
"parentId": 1073741823,
"buyerAccessPosture": "SANDBOX_ONLY",
"customerDomain": "<string>",
"customerDomainApproved": true,
"convertedFromStandalone": true,
"demoProvisioned": true,
"demoProvisioningError": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Accounts
Create a buyer/seller account under the organization
POST
/
api
/
v2
/
accounts
/
create-child
Create a buyer/seller account under the organization
curl --request POST \
--url https://api.semicola.com/api/v2/accounts/create-child \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"company": "<string>",
"idempotencyKey": "<string>",
"customerDomain": "<string>",
"defaultCurrency": "<string>",
"paymentCurrencies": [
"<string>"
],
"parentName": "<string>",
"confirmOrganizationConversion": true,
"accountMode": "STANDARD",
"demoRecipeIds": []
}
'import requests
url = "https://api.semicola.com/api/v2/accounts/create-child"
payload = {
"name": "<string>",
"company": "<string>",
"idempotencyKey": "<string>",
"customerDomain": "<string>",
"defaultCurrency": "<string>",
"paymentCurrencies": ["<string>"],
"parentName": "<string>",
"confirmOrganizationConversion": True,
"accountMode": "STANDARD",
"demoRecipeIds": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
company: '<string>',
idempotencyKey: '<string>',
customerDomain: '<string>',
defaultCurrency: '<string>',
paymentCurrencies: ['<string>'],
parentName: '<string>',
confirmOrganizationConversion: true,
accountMode: 'STANDARD',
demoRecipeIds: []
})
};
fetch('https://api.semicola.com/api/v2/accounts/create-child', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.semicola.com/api/v2/accounts/create-child",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'company' => '<string>',
'idempotencyKey' => '<string>',
'customerDomain' => '<string>',
'defaultCurrency' => '<string>',
'paymentCurrencies' => [
'<string>'
],
'parentName' => '<string>',
'confirmOrganizationConversion' => true,
'accountMode' => 'STANDARD',
'demoRecipeIds' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.semicola.com/api/v2/accounts/create-child"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"company\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"customerDomain\": \"<string>\",\n \"defaultCurrency\": \"<string>\",\n \"paymentCurrencies\": [\n \"<string>\"\n ],\n \"parentName\": \"<string>\",\n \"confirmOrganizationConversion\": true,\n \"accountMode\": \"STANDARD\",\n \"demoRecipeIds\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.semicola.com/api/v2/accounts/create-child")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"company\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"customerDomain\": \"<string>\",\n \"defaultCurrency\": \"<string>\",\n \"paymentCurrencies\": [\n \"<string>\"\n ],\n \"parentName\": \"<string>\",\n \"confirmOrganizationConversion\": true,\n \"accountMode\": \"STANDARD\",\n \"demoRecipeIds\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.semicola.com/api/v2/accounts/create-child")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"company\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"customerDomain\": \"<string>\",\n \"defaultCurrency\": \"<string>\",\n \"paymentCurrencies\": [\n \"<string>\"\n ],\n \"parentName\": \"<string>\",\n \"confirmOrganizationConversion\": true,\n \"accountMode\": \"STANDARD\",\n \"demoRecipeIds\": []\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"name": "<string>",
"company": "<string>",
"kind": "STANDALONE",
"nodeKind": "ACCOUNT",
"accountType": "BUYER",
"role": "SUPER_ADMIN",
"membershipRole": "MEMBER",
"parentId": 1073741823,
"buyerAccessPosture": "SANDBOX_ONLY",
"customerDomain": "<string>",
"customerDomainApproved": true,
"convertedFromStandalone": true,
"demoProvisioned": true,
"demoProvisioningError": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Headers
Required string length:
16 - 255Pattern:
^[A-Za-z0-9_.:-]+$Body
application/json
Required string length:
1 - 200Available options:
BUYER, SELLER, PARTNER Available options:
BUYER, SELLER Maximum string length:
200Required string length:
8 - 128Maximum string length:
255Pattern:
^(https?:\/\/)?(www\.)?[a-zA-Z0-9]([a-zA-Z0-9-]*[a-zA-Z0-9])?(\.[a-zA-Z0-9]([a-zA-Z0-9-]*[a-zA-Z0-9])?)+\/?$Pattern:
^[A-Z]{3}$Maximum array length:
20Pattern:
^[A-Z]{3}$Required string length:
1 - 200Available options:
STANDARD, DEMO Required array length:
1 - 3 elementsAvailable options:
sample-publisher-display, sample-publisher-ctv, sample-retail-media Available options:
seller-sources/listing-only, seller-sources/listing-distribution, seller-sources/merchandising, seller-sources/merchandising-distribution